Watch, Follow, &
Connect with Us

Please visit our new home
community.embarcadero.com.

Public Report
Report From: Delphi for PHP/IDE    [ Add a report in this area ]  
Report #:  104649   Status: Reported
Please integrate the latest PHP Versions(5.3.x, 5.4.x) and switch them on demand!
Project:  HTML5 Builder Build #:  Update 4
Version:    4.4 Submitted By:   Stefan Diestelmann
Report Type:  Suggestion / Enhancement Request Date Reported:  4/5/2012 1:47:35 AM
Severity:    Serious / Highly visible problem Last Updated: 4/8/2012 7:59:15 PM
Platform:    All platforms Internal Tracking #:  
Resolution: None (Resolution Comments) Resolved in Build: : None
Duplicate of:  None
Voting and Rating
Overall Rating: No Ratings Yet
0.00 out of 5
Total Votes: 11
Description
Please integrate the latest PHP Versions(5.3.x, 5.4.x) and switch them on demand !

At the Moment RadPHP XE2 Update4 supports PHP 5.2.14.
I tried to integrate PHP5.3 and PHP 5.4 on myself

Generally after modifying the php.ini-dist File and integrating the correct xdebug Library i tried to Debug Typo3

with PHP5.3 the Debugger starts but after the first to or three Breakpoints it hangs.

with PHP5.4 the Apache Ant Server hangs.

An Update to PHP 5.2.17 works fine !

Idea: Integration of the latest PHP Versions and switch them on demand !
Steps to Reproduce:
None
Workarounds
None
Attachment
None
Comments

Tomohiro Takahashi at 4/6/2012 1:52:53 AM -
> with PHP5.3
Do you use 5.3.10 ?
Could you tell us what distribution you downloaded?

> I tried to integrate PHP5.3 and PHP 5.4 on myself
Did you also update Xdebug module for it?
http://xdebug.org/download.php

> with PHP5.4 the Apache Ant Server hangs.
RadPHP XE2(IDE/Debugger(Xdebug)) is not tested PHP 5.4 yet.

Stefan Diestelmann at 4/8/2012 6:05:06 AM -
5.3:

My notices:

PHP Version: php-5.3.10-Win32-VC9-x86

Test Results from 27.3.2012:
interbase extension disabled because fbclient.dll missing !
The Debugger works not perfekt it hangs sometimes.

May be you can help i tried:
php_xdebug-2.1.2-5.3-vc9.dll
and
php_xdebug-2.1.4-5.3-vc9.dll

IMPORTANT
The Entry in PHP.INI has changed for the zend-Extension to work!

Use zend_extension= instead of zend_extension_ts=

I try to debug Typo3.

Version 5.4 was just a try it is not important but 5.3.10 is because Typo3 works only with >= 5.3

Server Response from: ETNACODE01